<MessageForm :mustencrypt="{{ $mustencrypt ? 'true' : 'false' }}" :possible="{{ $possible ? 'true' : 'false' }}" inline-template>
    <form action="{{ url('store') }}" method="post" @submit="encrypt" id="messageForm" v-if="possible" enctype="multipart/form-data">
        {{ $crsf }}
        <div class="contact-form">
            <div class="form-group">
                <label class="control-label col-sm-5" for="message">Quoi de neuf aujourd'hui ?</label>
                <div class="col-sm-10">
                    <Autocomplete hasLabel="false" id="message" name="message" rows="5" placeholder="Que s'est-il passé aujourd'hui ?" textarea="true" />
                </div>
                <div class="col-sm-10">
                    <span class="text-danger"></span>
                    <input type="file" name="file" id="file" class="input-file" v-on:change="fileNameChanged($event.target.name, $event.target.files)">
                    <label for="file" class="btn btn-tertiary js-labelFile">
                        <i v-bind:class="uploadClass"></i>
                        <span class="js-fileName" v-html:imageLabel="imageLabel"></span>
                    </label>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    <button type="submit" class="btn btn-primary ml-auto">J'enregistre ma journée</button>
                </div>
            </div>
        </div>
    </form>
</MessageForm>
