@extends('layouts.app')

@section('content')
<div class="container">
    <div class="page-header">
        <h1 class="page-title">
            {{ __('Mon journal intime') }}
        </h1>
    </div>
    <div class="row flex-fill">
        <div class="col-md-12">
            <div class="row">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ strftime('%d %B %G', $today->format('U')) }}</h3>
                        </div>
                        <div class="card-body">
                            <form action="{{ url('store') }}" method="post" accept-charset="utf-8">
                                @csrf
                                <div class="contact-form">
                                    <div class="form-group">
                                        <label class="control-label col-sm-5" for="message">Quoi de neuf aujourd'hui ?</label>
                                        <div class="col-sm-10">
                                            <div id="app"></div>
                                            <span class="text-danger">{{ $errors->first('message') }}</span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-offset-2 col-sm-10">
                                            <button type="submit" class="btn btn-primary ml-auto">J'enregistre ma journée</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
